﻿#pragma once

#include <string>
#include <vector>
#include <opencv2/opencv.hpp>

uint64_t GetCurTime();

std::string GetTimeStr(uint64_t timestamp);


std::string GetMatrixStr(const float* data_ptr, int col, int row);
std::string GetMatrixStr(const std::vector<std::vector<float>>& data_ptr, int col, int row);
std::string GetMatrixStr(const std::vector<std::vector<double>>& data_ptr, int col, int row);
std::string GetMatrixStr(float** data_ptr, int col, int row);

double calcIntersectionArea(cv::RotatedRect rect1, cv::RotatedRect rect2);

float calcIntersectionRate(cv::RotatedRect rect1, cv::RotatedRect rect2);
