#ifndef _CONFIG_HPP_
#define _CONFIG_HPP_

#include <vector>

enum ObjType{
    OBJ_Person,
    OBJ_Car,
    OBJ_Bicycle,
    OBJ_Motorbike,
    OBJ_Cone,
    OBJ_Bucket,
    OBJ_Guard,
    OBJ_Fence_truck,
    OBJ_Large_sized_bus,
    OBJ_Large_truck,
    OBJ_Light_passenger_vehicle,
    OBJ_Minibus,
    OBJ_Minivan,
    OBJ_MPV,
    OBJ_Others,
    OBJ_Pickup_truck, 
    OBJ_Sedan,
    OBJ_Small_sized_truck,
    OBJ_SUV,
    OBJ_Tanker
};

struct MyResult {
    int num_class;
    std::vector<int> location;
    std::vector<float> center_point;
    std::vector<float> bottom_center_point;
    float prob;
};

struct Results {
    int index;  // 0, 1, 2
    std::vector<MyResult> results;
};


#endif