﻿#pragma once

#include "munkres.h"
#include "params.h"
#include <vector>

void HungarianMatching(const std::vector<std::vector<float>>& iou_matrix,
    size_t nrows, size_t ncols,
    std::vector<std::vector<float>>& association);

double CuboidIoU(const std::vector<float>& truth_poses, const std::vector<float>& landmark_poses);


