﻿#pragma once

#include <vector>
#include "BaseTrack.h"
#ifdef _QICHECHENG_
#include "jfxrosperceiver/det_tracking.h"
#define jfx_common_msgs jfxrosperceiver
#else
#include "jfx_common_msgs/det_tracking.h"
#endif
#include "track.h"

using trackOjbPtr = std::shared_ptr< jfx_common_msgs::det_tracking>;

class Track2D :public BaseTrack
{
public:
    // Constructor
    Track2D();
    ~Track2D() {}

    trackOjbPtr m_obj = nullptr;

    virtual int GetIouDataOrder(std::vector<int>& order) { return 0; };
    virtual int GetKFDataOrder(std::vector<int>& order) { return 0; };

    virtual double CalculateIou(const std::vector<float>& data);

    static void MeasureIouData(const std::vector<float>& input, std::vector<float>& out, int& obj_type) {}


    TrackObj m_obj;
};
